# Interface methods for submodule: ParallelSparseFieldLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FiniteDifferenceImageFilterProxy as _FiniteDifferenceImageFilterProxy


# Interface methods for class: ParallelSparseFieldLevelSetImageFilter
class ParallelSparseFieldLevelSetImageFilterProxy(_FiniteDifferenceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetNumberOfLayers(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfLayers(self) -> int:
		""""""
		...

	def SetIsoSurfaceValue(self, _arg: float) -> None:
		""""""
		...

	def GetIsoSurfaceValue(self) -> float:
		""""""
		...

	def GetActiveListForIndex(self, index: Sequence[int]):
		""""""
		...

